SCSI_NORMALIZE_SENSE(9)

NAME
scsi_normalize_sense - normalize main elements from either fixed or descriptor sense data format into a common format.

SYNOPSIS

bool scsi_normalize_sense(const u8 * sense_buffer, int sb_len, struct scsi_sense_hdr * sshdr);

ARGUMENTS

sense_buffer
    byte array containing sense data returned by device

sb_len
    number of valid bytes in sense_buffer

sshdr
    pointer to instance of structure that common elements are written to.

NOTES

The “main elements” from sense data are: response_code, sense_key, asc, ascq and additional_length (only for descriptor format).

Typically this function can be called after a device has responded to a SCSI command with the CHECK_CONDITION status.

RETURN VALUE

true if valid sense data information found, else false;

AUTHORS

James Bottomley <James.Bottomley@hansenpartnership.com>
    Author.

Rob Landley <rob@landley.net>
    Author.

COPYRIGHT